

set -ex



pip check
python -c "import skimage; print(skimage.__version__)"
export OPENBLAS_NUM_THREADS=1
export OMP_NUM_THREADS=1
export MPLBACKEND=Agg
SKIMAGE_TEST_STRICT_WARNINGS=0 pytest --verbose --pyargs skimage -k "not (_not_a_real_test or test_analytical_moments_calculation or test_ellipse_parameter_stability)"
exit 0
